{ lib
, stdenv
, fetchFromGitLab
, makeWrapper
}:

stdenv.mkDerivation rec {
  pname = "exploitdb";
  version = "2024-03-17";

  src = fetchFromGitLab {
    owner = "exploit-database";
    repo = pname;
    rev = "refs/tags/${version}";
    hash = "sha256-Vqdi7/jr+Di20y1HoFbXnl2riZfadgsRmzpSryW03M0=";
  };

  nativeBuildInputs = [
    makeWrapper
  ];

  installPhase = ''
    runHook preInstall
    mkdir -p $out/bin $out/share
    cp --recursive . $out/share/exploitdb
    makeWrapper $out/share/exploitdb/searchsploit $out/bin/searchsploit
    runHook postInstall
  '';

  meta = with lib; {
    homepage = "https://gitlab.com/exploit-database/exploitdb";
    description = "Archive of public exploits and corresponding vulnerable software";
    license = with licenses; [ gpl2Plus gpl3Plus mit ];
    maintainers = with maintainers; [ applePrincess fab ];
    mainProgram = "searchsploit";
    platforms = platforms.unix;
  };
}
